Description

when having many hosts, the latest event widget can take around a minute to load.

the line in question is most likely the issue:

 def latest_events

    # 9 reports + header fits the events box nicely...

    @latest_events ||= ConfigReport.authorized(:view_config_reports).my_reports.interesting.where(

:host_id => hosts.pluck(:id)).search_for('reported > "7 days ago"').limit(9).includes(:host)

 end

Related issues:

Related to Foreman - Bug #16044: Errors in individual dashboard widgets fail ... Closed 08/10/2016

Related to Foreman - Bug #16627: Puppet general tab new error on 1.12.3 Closed 09/20/2016

Related to Foreman - Bug #16704: Searching fails on dashboard Closed 09/27/2016

Related to Foreman - Bug #18893: dashboard widget for puppet report latest ev... Closed 03/14/2017

Associated revisions

Revision 95fd95ea - 08/23/2016 09:06 AM - Ohad Levy

Fixes #16238 - Speed up dashboard loading time.

I've change report host to inner query and used a join, in

my testing, this speed up dramaticilly dashboard loading

time, on my setup from 60 seconds to under 10 seconds.

Revision 8b65aac5 - 09/19/2016 11:59 AM - Ohad Levy

Fixes #16238 - Speed up dashboard loading time.

I've change report host to inner query and used a join, in

my testing, this speed up dramaticilly dashboard loading

time, on my setup from 60 seconds to under 10 seconds.

(cherry picked from commit 95fd95eaf0df8756b049dcaf993b4d9709d86401)

History

#1 - 08/23/2016 03:50 AM - Ohad Levy

just changing the query to inner query, saved about 70% of the load time, yet its far from being optimal.

    @latest_events ||= ConfigReport.authorized(:view_config_reports).my_reports.interesting.where(:host => hos

ts.reorder('')).search_for('reported > "7 days ago"').limit(9).includes(:host)

#2 - 08/23/2016 03:51 AM - Ohad Levy

- Related to Bug #16044: Errors in individual dashboard widgets fail entire page added
#3 - 08/23/2016 04:30 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ohad Levy

- Pull request https://github.com/theforeman/foreman/pull/3764 added

#4 - 08/23/2016 10:02 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 95fd95eaf0df8756b049dcaf993b4d9709d86401.

#5 - 08/24/2016 03:01 AM - Dominic Cleal

- translation missing: en.field_release set to 181

#6 - 09/21/2016 03:46 AM - Dominic Cleal

- Related to Bug #16627: Puppet general tab new error on 1.12.3 added

#7 - 09/27/2016 08:00 AM - Dominic Cleal

- Related to Bug #16704: Searching fails on dashboard added

#8 - 10/21/2016 08:51 AM - Dominic Cleal

Release set to 1.12.3

 Reverted again in 1.12.4 due to too many regressions, and the severe impact of errors on the dashboard. The change remains in 1.13.0 at this time

as the errors (e.g. #16704) are more limited.

#9 - 03/14/2017 11:09 AM - Ohad Levy

- Related to Bug #18893: dashboard widget for puppet report latest events can be very slow on large amount of reports added
